
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>简述测试在敏捷项目中的重要性 / iVAN</title>

    <meta name="description" content="简述测试在敏捷项目中的重要性 本文是一位测试专家对该文做出的回应. 就如同已经灭亡的皇室(国王已经消逝了,但是皇后却将永存),我们 的软件开发正传递着类似的呼声:&quot;测试已死,我们再也不需要测试人员了!&quot;但随之你会发现,哎呀,客户不满意,最后 又回到&quot;测试万岁&quot;,但这次是更好,更完整,更有效的测试.就如同历史上众多的复辟王朝(我最喜欢皇后伊丽莎白1世 )一样,测试将强有力地帮助重新定义事物完成的方式以及它们的工作原理. 我打赌你现在正在想这不过 是自我吹嘘而已,但是,事情是这样发生的:  ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">简述测试在敏捷项目中的重要性</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>本文是一位测试专家对该文做出的回应。</p>
<p>就如同已经灭亡的皇室（国王已经消逝了，但是皇后却将永存），我们  的软件开发正传递着类似的呼声：“测试已死，我们再也不需要测试人员了！”但随之你会发现，哎呀，客户不满意，最后  又回到“测试万岁”，但这次是更好，更完整，更有效的测试。就如同历史上众多的复辟王朝（我最喜欢皇后伊丽莎白1世  ）一样，测试将强有力地帮助重新定义事物完成的方式以及它们的工作原理。</p>
<p>我打赌你现在正在想这不过  是自我吹嘘而已，但是，事情是这样发生的：</p>
<p>让我们讨论一下测试的概念：什么是测试？测试就是考虑什么是“对  的”的一个流程，定义方法以判断所测试的事物是否是“对的”，确定度量以明确“对的”是什么样子，理解“对的”的等  级对团队其他人的任务和活动意味着什么，还有协助团队根据有用的信息做出好决策从而满足“对的”所必须的等级。</p>
<p>测试远不止随机敲击键盘以期找出问题这么简单；测试需要真正地理解所要求的解决方案，参与交付产品所采用的  方法计划，了解交付方法所含的风险，同时还要尽早发现这些风险以便采取合适的补救措施。测试还需要驱动项目往成功的  方向发展，并且帮助每个人理解成功所要求的合适水平。</p>
<p>为什么我们还需要关注测试呢，敏捷团队中的每个人不都  在做测试吗？事实上并非如此。</p>
<p>所有的争议都是从质量的概念开始的。可能你会对自己说：“这简单。”如果你确  实是这么想的，那就把它推到下一步…定义它。让你的开发团队、客户、产品所有者、项目经理以及组织中的首席信息官和  首席执行官定义质量，要好好地定义，定义到足够好的程度。他们会同意吗？如果不同意，那这就是你的第一个问题。测试  的任务就是帮助团队定义和理解质量所带来的影响。</p>
<p>“质量的影响？？这是什么？”这是你的下一个问题。事实上  ：质量是需要成本的！更糟糕的是：真正的高质量需要更高的成本！想真正建立质量，我们首先必须定义它，然后需要找到  它。如果没有将质量建立到流程和技术中，没有将完整的各个级别的测试构建到我们的工作中，就不可能实现质量解决方案  。</p>
<p>“啊，总算逮住你了”开发人员说道，“我们在敏捷中通过定义“完成”来明确质量”。“垃圾！”是我的答复  。在我从事IT的所有时间里我听过最让人兴奋的概念就是定义“完成”—所有的组件，集中所有的知识，传递所有的信息…  …将解决方案的复杂性预先定义，所有的团队（开发和客户团队）都知晓所需要完成的任务以达到“完成”。定义“完成”  让我想起了测试相关的一切。但是坏消息是我们并没有这么做！是的，我们没有这么做！就像我们不定义质量一样……我们  只是假装我们定义了而已。哇~， 是否刺到你的痛处了？</p>
<p>为什么我这么说呢？首先，定义“完成”就如同定义质量  一样，非常难。因为质量就像“美丽”一样，它是一个仁者见仁，智者见智的问题。测试的内容包括接受培训从而关注质量  的定义，紧接着是对质量的探索（或者是质量缺陷），还有就是沟通在项目过程中依据进程、风险和剩余工作明确质量等级  意味着什么。对于“完成”的定义也是如此，对于每个“执行者”（非旁观者）而言“完成”是不一样的，这允许我们理解  “完成”的多个层次……我的完成，我们的完成，故事的完成，迭代的完成，特性的完成，发布的完成，产品的完成，项目  的完成。</p>
<p>“这个没有关系，我们可以在其完成时再定义。”这是你对这个问题的机智回答。现在真正的挑战来了！  定义“完成”与定义“很好地完成”是完全不一样的。“很好地完成”中的“很好”不仅仅是要完成目前产品中所要求的工  作，还要明确我们如何知晓它达到了被要求的标准。每个层次的“完成”都有不同的完成标准，以及一个非常不同的“很好  ”的质量标准。团队中就有一群人不仅非常适合于协助定义“很好地完成”，同时还可以协助定义用于寻找“干得好”等级  的流程和技术。</p>
<p>步骤一，定义“完成”…嗯，这看起来很简单嘛——保证执行者按照“完成”的等级完成所有需要  交付的组件。好吧，目前为止听起来还不错。但是紧接着难点就来了…如果客户不满意，那么任何事情都不算“完成”。这  就是敏捷宣言的基本属性之一。我引用了“可工作的软件胜过面面俱到的文档”这句话。因为一些不为人知的原因，人们往  往会混淆“可工作”的定义与“完成”的定义，同时还会混淆“面面俱到的文档”这一概念与“良好测试”的定义。然后这  就违背了原则“我们的最高目标是通过尽早持续地交付有价值的软件使客户满意”。那么是什么使软件具有价值呢？是不是  交付产品？当然不是！而是该软件能很好地完成它所要完成的工作！！那么这算是我的“完成”，我们的“完成”，还是什  么的“完成”呢……？</p>
<p>我们该如何去做呢？首先，我们需要认识到测试不仅仅是考虑开发和用户所关注的功能。功  能要实现什么是非常简单的部分（简直就是轻而易举——我发誓）。功能很容易定义、构建和评估。功能倾向于二进制，类  似“完成”与否的！“完成”有两个等级……“完成”和“未完成”……没有什么“几乎完成”这类说法。功能类似于煮食  物……只有能与不能工作之说……二进制！但接着我们就进入了“完成”和随后的“很好地完成”领域，甚至更进一步的“  为谁很好地完成？”。</p>
<p>测试关注于理解什么能使一个解决方案或方法对于使用它的人有价值。价值是上下文独立的  ，并且必须在项目和客户的上下文内定义。使用类似ISO9126之类的标准，根据它的6个质量特征（功能性，可靠性，实用性  ，有效性，可维护性和便携性）及其子特性，可以激发测试人员针对什么是好的、恰当的、有价值的这些问题进行讨论。但  是更好的是我们需要真正的测试来找出这些价值。这类测试同样也需要时间和计划来很好地执行，如果想做得更好地的话，  就需要更长的时间。</p>
<p>一个解决方案中的所有非功能特性都是设计层特性，并且通常不能在迭代中演变。需要预先对  其进行讨论，而且需要在解决方案确定时尽快讨论，是的……在解决方案设计确定时尽快讨论。如果这些特性在最开始没有  被正确嵌入的话，那么它们最终永远都不会在测试中被找到。单元测试能做这些吗？当然不能！</p>
<p>“噢~~~，这就是为  什么我们做验收测试驱动开发啊！”你说。我同意，但是我们往往并没有将ATDD做好，我们只关注客户所知道和所问的内容  ，而没有关注前期需要考虑和捕获的内容。</p>
<p>“那我们就只关注功能吧。”这是我经常听到的一句话，往往让我感到  厌烦……这意味着很难想到其他的事情，我们只好继续前行，并祈祷它是对的。你是否“曾经”听过“忽略”敏捷呢？敏捷  就是要从一开始就把事情做对。</p>
<p>测试通过静态测试从一开始就协助建立正确的解决方案。静态测试是“不通过执行  代码来测试解决方案”。静态测试之美在于它可以在任何时间和任何地点执行。静态测试应该在解决方案的第一个想法产生  时执行。理想情况下，应该有个测试人员提出这样的问题：“这是功能不错……但你是如何确定它是有价值的呢？”通过问  题，图表和该解决方案的计划来测试该概念以查看它是否真正交付了所需要的解决方案，这是产品生命中至关重要的一部分  。</p>
<p>我们还可以测试交付计划，关注风险、时间以及各组件间的依赖，以及如何利用不同等级的“完成”来证明我们  正在往正确的解决方案行进。往“很好地完成”的方向上定义“完成”需要正确的人在工作初期就参与进来，而不是在编码  已经开始之后。测试计划是至关重要的——是否定义了正确的环境、团队、资源和方法来交付价值？这是一个问题，但往往  并没有在编码前得到回答。这个奇妙的新测试制度的存在引发了这个问题，并且所有人都在前往下一步之前就把它回答了。</p>
<p>测试计划的完成可以通过使用测试设计技术预先定义接受标准。你可能会喊道：“什么？？？已经开始测试了？？  ？”是的，完全正确。如果不提前执行的话，那测试人员获取的那些培训和证书又有什么意义呢？你看到测试人员所做的大  部分测试执行活动都是他们基于风险和测试设计技术规范而形成的测试设计活动的结果。概念、特性、长篇故事和用户实例  其实都只是规范在不同名字下的转译。更好地，在理想的敏捷世界里，测试人员会参与到需求定义中，这样他们就能够静态  测试它们，然后可以在任何人试图实现一行代码前对其应用动态技术。</p>
<p>接下来，我们开始真正的工作（轻笑……任  何人如果觉得编码前的工作不是工作的话，那他并没有理解工作的概念），我们开始编码，做单元测试，改进代码，做集成  测试，将代码发布到测试环境（咚，咚，咚……鼓声响起）……我们开始尽全力寻找紧急行为！</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-13 07:19:12</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e8%a7%a3%e5%86%b3%e6%96%b9%e6%a1%88/" title="解决方案">解决方案</a>, <a href="https://www.iamivan.net/tag/%e6%b5%8b%e8%af%95/" title="测试">测试</a>, <a href="https://www.iamivan.net/tag/%e5%b7%a5%e4%bd%9c/" title="工作">工作</a>, <a href="https://www.iamivan.net/tag/%e4%bb%80%e4%b9%88/" title="什么">什么</a>, <a href="https://www.iamivan.net/tag/%e5%9b%a2%e9%98%9f/" title="团队">团队</a>, <a href="https://www.iamivan.net/tag/%e8%b4%a8%e9%87%8f/" title="质量">质量</a>, <a href="https://www.iamivan.net/tag/%e5%ae%8c%e6%88%90/" title="完成">完成</a>, <a href="https://www.iamivan.net/tag/%e5%85%ab%e7%9a%87%e5%90%8e/" title="八皇后">八皇后</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>简述测试在敏捷项目中的重要性的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVNq6Yz.html" rel="bookmark">敏捷项目中的安全需求管理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在软件开发初期处理安全需求是防止安全问题最经济的方式.大多数安全需求都属于非功能性需求(Non-Functional Requirements ,NFRs).很多从业者发现,在敏捷项目中处理安全和其他NFR非常具有挑战性.原因有二: 匹配NFR和特性驱动的用户故事需要付出很大努力: 安全控制常因缺少可见度而被忽视.敏捷过程容易让团队不自觉地侧重于那些可以直观改善客户体验 的新功能开发或缺陷修复. 在本文中,我们会探讨以上两个问题. 在用户故事中处理NFR 敏捷专家们提出过一些方法,用以定义用户故			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlQQAYp.html" rel="bookmark">业务分析师在敏捷项目中的作用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				敏捷http://www.aliyun.com/zixun/aggregation/13764.html&quot;&gt;软件开发实践的文化中存在着一个断层,该断层同样体现在许多敏捷团队中.这个断层就是业务分析人员在敏捷项目中的角色--谁来担任这个角色?它的作用 和价值是什么?它又是如何发生改变的?这种情况的潜台词(其实我曾至少听人说过一次)就是:&quot;我们不需要什么见鬼的分析师!&quot;.无需赘言,我当然认为这是 大错特错!在本文中,我证明如下观点:只要以正确的方式向业务看齐,业务分析师就可			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEEKqJb.html" rel="bookmark">项目交付为什么失败？-记我在某个项目中的迷思</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上个项目接近尾声,我以developer的身份加入了现在的项目,姑且叫做项目A吧.说实话A项目蛮神奇的,干了一年多了只有一次release,8月初要进行第二次release了,但是测试环境还未搭建好. 该项目是个分布式团队,分布在成都和澳洲两个地方.由于成都这边团队都是清一色的developer,没有qa,严重阻碍了交付的进度.所以我跑到澳洲出差1个月来了解一下整个项目的context,并争取能找出一种解决方案来实现让成都团队中有人能够担任QA职责.目前已经在项目中呆了3周了,2周在成都,1周在			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pP2llrb.html" rel="bookmark">敏捷团队中的QA由来</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				QA,全称为Quality Analyst,即质量分析师(有些称为Quality Assurance,即质量保证师).为什么它总跟质量扯在一块?感觉这个角色明明做的都是测试的事情,为什么不直接叫做tester那?敏捷项目中的QA日常都做什么事情那?可能一大推问题都会冒出来.别急,跟着我这篇文章来一步步的回答这些问题. 假设现在有一个保险公司,他想找一个软件公司做一个在线卖保险的系统.那么这个系统从开始到完成至少需要三个角色. Business owner -&gt; developer -&gt; end			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqLDOKb.html" rel="bookmark">敏捷项目估算之故事和点数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				引言 当你要雇一位漆工来装饰你的房子,或者一位修理工来修你的车时,你会要他们先给个估算,对吗? 你需要知道大概会花多少钱,需要多长时间.这是常识. 然而经验告诉我们什么?初始的估算和最终的账单有多大差距?很有可能漆工会发现有松动的石膏需 要铲除,墙面需要修补和重新粉刷:修理工一定会发现要让你车子重新上路还有些其它的问题要解决. 在1951年的&lt;纽约客&gt;杂志中有这样一幅漫画,Syd Hoff画了一个修理工对他的客户说: &quot;当然,那不过只是个估算,实际的花费一定会更多&quot; 如果漆			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7kJQqz.html" rel="bookmark">单元测试：在您的数据库项目中应用测试驱动的开发</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讨论: TDD 的优点 在数据库开发中应用单元测试 组合 T-SQL 与 .NET 兼容的语言 连接.测试条件和事务 本文使用了以下技术: Visual Studio 2008, SQL Server LMicrosoft 于 2006 年 11 月发布了 Visual Studio Team System Database Edition,也称为 DBPro 或 Data Dude,它向产品生命周期方法中引入了数据库开发.DBPro 还引进了数据库单元测试设计 器,使用它可以轻松地生成或编			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDWOaLp.html" rel="bookmark">将配置文件自动复制到vs的测试项目中</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述: 对一个需要读取web.config获取数据库连接字符串的项目创建单元测试,测试抛出异常:System.NullReferenceException: 未将对象引用设置到对象的实例,一步步debug发现在测试项目中无法读取被测项目的web.config文件.后来把web.config整个复制到测试项目中,却也发现不行.无奈之下,把复制到测试项目的web.config改成app.config,却发现可以从app.config中正确读出配置信息了.   相关约定: 1.如果是WEB应用程序			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnKLv0z.html" rel="bookmark">javamail truts-做后台发送邮件，用main测试好试，单合到项目中Action里就没用，也没报错</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 做后台发送邮件,用main测试好试,单合到项目中Action里就没用,也没报错 import javax.mail.Message.RecipientType; import javax.mail.MessagingException; import javax.mail.Session; import javax.mail.Transport; import javax.mail.internet.AddressException; import javax.mail.interne			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqWZGOz.html" rel="bookmark">环信集成到项目中测试时出现魅蓝手机点击发送位置报错</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 一种情况是找不到baiduSdk的so文件     修改后一种是找到的是32bits而不是64bits 解决方案 如果你的app中有第三方的服务启动,请在初始化SDK (EMChat.getInstance().init(applicationContext))方法的前面添加以下相关代码(相应代码也可参考demo的application)  if (processAppName == null ||!processAppName.equalsIgnoreCase(&quot;com.easemo			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbK5Zap.html" rel="bookmark" class="title">ps打造字中字技巧</a>
					<div>
						以前的教程用photoshop打造字中字,我们讲解了如何把文字放到路径中,形成字中字效果,今天演示一个类似的教程,先看效果图. 教程新建文档500x375像素,背景黑色.选择文字工具拖动,画一个覆盖画 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNOvxp.html" rel="bookmark" class="title">金山WPS怎么将有色的图片变灰白色</a>
					<div>
						  今天,小编就给大家分享一下使用金山WPS将有色的图片变灰白色的方法,一起来看看吧!          如果要把图片的颜色调整称灰白色,很多网友想到的就是使用PS等图片处理软件,但是,PS文件大,下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MYqBxM.html" rel="bookmark" class="title">使用ASP和ASP&period;NET来创建文件夹和文件。</a>
					<div>
						asp.net|创建 ASP: &lt;%sub writefile(file) Response.Write &quot;file:&quot;+file Dim fso, tf  Set fso  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkoj7p.html" rel="bookmark" class="title">影响关键词排名的非优化因素</a>
					<div>
						想做好关键词排名,对内依靠合理的关键词重复,极高的内容相关性以及优秀的内部链接等,对外依靠强大的外链支持.除此之外,还有很多影响关键词排名的非优化因素. 1.地域性差异 现在很多网站都会自动识别来访者 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zGqKeM.html" rel="bookmark" class="title">VB打造超酷个性化菜单（一）</a>
					<div>
						菜单 VB打造超酷个性化菜单(一) 众所周知,MS Office 2003推出已经有一段时间了,但我们依然不会忘记Office XP刚刚推出时其令人耳目一新的菜单给我们留下的深刻印象.突起的悬浮式图标 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91n73M.html" rel="bookmark" class="title">Linux环境下的Java开发（七）：&OpenCurlyDoubleQuote;乱花渐欲迷人眼&rdquo;的开源框架</a>
					<div>
						江南白衣在2005年9月的时候,就在他的博客上提出:每个团队都应该有一个 Appfuse式的项目,用来演示团队目前的体系框架和设计模式.这种项目的好处有 一打:比如为所有项目提供共同的Library  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRyZ2kb.html" rel="bookmark" class="title">Windows8系统磁贴式IE不直接在桌面打开怎么办</a>
					<div>
						Windows8系统磁贴式IE不直接在桌面打开怎么办   首先打开桌面上的IE,进入&quot;Internet选项&quot;. 然后切到&quot;程序&quot;选项卡,将&quot;IE磁贴用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7Y07b.html" rel="bookmark" class="title">Dreamweaver静态网页</a>
					<div>
						静态网页有时也被称为平面页.静态网页的网址形式通常为htm(超文本标记语言)结尾 ,还有就是以超文本标记语(.htm..html)..shtml..xml(可扩展标记语言)等为后缀的. 在超文本标记语 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElk79z.html" rel="bookmark" class="title">怎么将网页快速转换为WPS与WORD文档</a>
					<div>
						  网页也能快速转换为WPS与WORD文档,这些你都知道了吗?下面为你介绍网页快速转换为WPS与WORD文档的方法: 1. 保存网页 在浏览器中访问目标网页,执行菜单&quot;文件&quot;→&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxaKjb.html" rel="bookmark" class="title">笔记本电脑自动关机重启怎么办</a>
					<div>
						  笔记本电脑自动关机重启的解决方法一: 病毒木马 解决方案:潜藏的病毒木马也能导致笔记本关机后自动重启,这时请将杀毒软件升级到最新版本,然后全盘查杀病毒木马 ACPI 高级电源选项设置错误 解决方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3KZ5M.html" rel="bookmark" class="title">如何在PS上直接使用FONTAWESOME图标？</a>
					<div>
						  估计很多前端人员都知道FontAwesome是一套免费而且好用的Web字体图标,只要在CSS引入这个字体icon,它就可以直接通过class来生成一个图标,而且免费使用.目前图标数量已经更新至58 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8VoRb.html" rel="bookmark" class="title">win7系统下百度云网盘离线下载资源提示错误36000的解决方法</a>
					<div>
						  1.我们应该首先拥有一个bt种子文件; 2.我们点击下载,会出现离线下载错误提示36000; 3.此时我们把这个种子文件先保存在电脑上; 4.百度搜索种子编辑器,打开第一个就可以了; 5.在这个网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6e52Xb.html" rel="bookmark" class="title">Win7系统注册表中删除多余开机启动项键值的方法</a>
					<div>
						  1.首先点击开始菜单,然后在搜索框中输入regedit,然后再搜索结果中输入右击选择&quot;以管理员身份运行&quot;选项; 2.然后依次展开注册表并找到下列键值:(这里涉及修改注册表,为了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQN5kQM.html" rel="bookmark" class="title">vsftp ftp linux-客户端win xp 服务器端redhat vsftpd ，用cmd连接ftp时，能登陆，但不能ls</a>
					<div>
						问题描述 客户端win xp 服务器端redhat vsftpd ,用cmd连接ftp时,能登陆,但不能ls 客户端win xp 服务器端redhat vsftpd ,用cmd连接ftp时,能登陆,但 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3jx6M.html" rel="bookmark" class="title">iOS7中修改StatusBar的显示颜色</a>
					<div>
						iOS7中修改StatusBar的显示颜色 效果图如下:   在iOS7中想手动修改statusBar的颜色,第一步需要做的就是在plist文件中设置View controller-based sta ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP80P0p.html" rel="bookmark" class="title">mysql怎么查询出现次数最多的中文词</a>
					<div>
						问题描述 mysql怎么查询出现次数最多的中文词 自己一直无法解决.想做到查询出,出现最多的中文词汇.这样sql语句应该怎么写group by好像不支持中文吧 解决方案 先要做分词,然后根据分词建倒排 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlB6raz.html" rel="bookmark" class="title">测试-Android开发中用VideoView运行时出现该视频无法播放</a>
					<div>
						问题描述 Android开发中用VideoView运行时出现该视频无法播放 package com.example.myvideo; import java.io.File; import andro ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5o1OBb.html" rel="bookmark" class="title">android之HttpPost&amp;amp&semi;amp&semi;HttpGet使用方法介绍&lowbar;Android</a>
					<div>
						直接讲用法,先知道怎么用,再知道怎么回事 1.HttpPost 复制代码 代码如下: try{ //创建连接 HttpClient httpClient = new DefaultHttpClient ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My324Ez.html" rel="bookmark" class="title">svn-SVN分支合并主干，分支覆盖主干</a>
					<div>
						问题描述 SVN分支合并主干,分支覆盖主干 分支代码覆盖了主干代码,请问什么情况下会导致这样的问题?有没有可能是与版本号有关,我的分支和主干的版本号是一样的 解决方案 http://blog.sina ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwlXEp.html" rel="bookmark" class="title">程序设计方式 之 嵌套头文件包含方式</a>
					<div>
						       一直以来写程序有个习惯,喜欢把常用的STL类,或者其他常用的类,变量,宏等定义到一个文件内,然后在使用其中一个类的地方包含这个文件.一直再使用,也一直存在困惑,这种设计方式的能否放心大胆 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kWJ3M.html" rel="bookmark" class="title">winform控件问题</a>
					<div>
						问题描述 想制作一个类似于下图的客户端:有以下问题想象各位大牛求助:1.A栏.B栏.C栏用户都可以横向拖动改变宽度.(就像qq聊天窗口一样,可以任意改动窗口大小)请问这个是用的什么控件?是面板吗?如果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7mjvM.html" rel="bookmark" class="title">struts-这个报错完全看不懂在说什么，求大神解答</a>
					<div>
						问题描述 这个报错完全看不懂在说什么,求大神解答 Http status: 200 OKajaxOptions: parsererrorthrownError: SyntaxError: Unexpe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4dqnz.html" rel="bookmark" class="title">飞康FreeStor推出OpenStack Cinder集成解决方案</a>
					<div>
						  10月27日至30日, OpenStack Summit在日本东京盛大召开,大会云集了来自世界各地的OpenStac云软件的开发者.使用者以及管理者.在软件定义存储解决方案领域有15年创新经验的美 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDJE8z.html" rel="bookmark" class="title">宽带隙太阳能电池材料及其叠层器件研究获进展</a>
					<div>
						聚合物太阳能电池具有质量轻.柔性及低成本等独特的优势,近10多年来受到世界各国科学工作者的广泛关注.如何在拓宽材料分子吸收的同时,保持高开路电压是有机光伏领域一个重要研究内容.采用叠层器件结构将两个具 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqR4gKp.html" rel="bookmark" class="title">远程接入四项核心技术确保应用可靠交付</a>
					<div>
						本文讲的是远程接入四项核心技术确保应用可靠交付,[IT168 资讯]当企业拥有更多更分散的分支机构或多种业务系统时,就面临着IT系统应用性能的提升及IT架构的优化问题,简单的远程接入已经不能满足用户需 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDQA3z.html" rel="bookmark" class="title">mate8是否会出现回音-关于mate8打电话和通话中使用免提时是否会出现回音现象</a>
					<div>
						问题描述 关于mate8打电话和通话中使用免提时是否会出现回音现象 换手机前咨询一下,mate8打电话和通话中使用免提时是否会出现回音现象 解决方案 除非1.2百元的民工手机,任何手机的话筒都有回声抑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12D6dp.html" rel="bookmark" class="title">信息安全有保障：Win10秋季创意者更新新增隐私选项</a>
					<div>
						据外媒WinAero报道,Windows10秋季创意者正在持续开发的过程中,而微软最近在该操作系统中引入了新的隐私选项.该公司已尽力让隐私政策更加透明,并明确显示正在收集用户的哪些数据. 解释隐私声明 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZm6np.html" rel="bookmark" class="title">easyui-求大神指教 web combox 筛选数据</a>
					<div>
						问题描述 求大神指教 web combox 筛选数据 在easy ui 的combox中只显示权限是经理的用户名称					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4eQ1Lb.html" rel="bookmark" class="title">91无线与Unity在上海签署战略合作协议</a>
					<div>
						7月25日电, 91无线CEO 胡泽民先生与Unity Technologies 全球CEO David Helgason先生于2013 ChinaJoy(2013中国国际数码互动娱乐展览会)期间在上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn879Ab.html" rel="bookmark" class="title">link环境下，制作一款《订餐软件》，请问从大库中分离出单店的小库，拆分怎么实现？</a>
					<div>
						问题描述 link环境下,制作一款&lt;订餐软件&gt;,请问从大库中分离出单店的小库,拆分怎么实现? link环境下,制作一款&lt;订餐软件&gt;,请问从大库中分离出单店的小库,拆分怎么实现? ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
